#!/usr/bin/env bash

setup_file(){
  load "$PWD/tests/integration/helpers/common"
  _common_setup
  _add_server
  _new_app
}

teardown_file(){
  _rm_app
  _rm_server
  _reset_recipe
}

setup(){
  load "$PWD/tests/integration/helpers/common"
  _common_setup
}

teardown(){
  _reset_recipe
  _reset_app
  _undeploy_app
}

@test "validate app argument" {
  run $ABRA app env
  assert_failure

  run $ABRA app env DOESNTEXIST
  assert_failure
}

@test "show env version" {
  latestRelease=$(_latest_release)

  run $ABRA app env "$TEST_APP_DOMAIN"
  assert_success
  assert_output --partial "$latestRelease"
}

@test "show env version despite --chaos" {
  run $ABRA app env "$TEST_APP_DOMAIN"
  assert_success
}
